Bug 153139 - ghostscript displays characters at wrong font size
ghostscript displays characters at wrong font size
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ghostscript-fonts (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://wuphys.wustl.edu/~alford/linux...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-01 14:47 EST by Mark Alford
Modified: 2008-02-07 02:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 02:34:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Alford 2005-04-01 14:47:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
The ghostscript font sizes are wrong. They give text of a diffferent size from
the (correct) sizes that you get when you print the document.


Version-Release number of selected component (if applicable):
ghostscript-fonts-5.50-13

How reproducible:
Always

Steps to Reproduce:
Download the sample at http://wuphys.wustl.edu/~alford/linux/font_sizes.ps
and view it using gsview or ghostscript. The text should fill the region
between the square brackets, which is what happens when the file is printed.
Instead it fills the boxes, which are of a different size.

Additional info:

The fix to the problem is simply to install a more recent version of the ghostscript-fonts package. ghostscript-fonts-8.11 works fine. I suggest
including this as an update to Fedora Core.
Comment 1 Tim Waugh 2005-04-12 10:04:43 EDT
I understood this to be a problem with the urw-fonts package.  cf. bug #140584.

Indeed, with Fedora Core 4 test 2 the blue brackets encompass the entire line of
text on each line.
Comment 2 Mark Alford 2005-04-12 11:36:50 EDT
I'm glad to hear the bug is absent from Fedora Core 4.

1) As far as I know, ghostscript uses its own fonts, it doesn't
use the urw fonts, so I don't think this can be a problem with urw-fonts.
The fact that upgrading to ghostscript-fonts-8.11 cures the problem
also implies that urw-fonts is not the culprit.

2) While we are talking about urw-fonts....
The package urw-fonts-2.2-6, which comes with Fedora Core 3, 
has the description
----
This package contains free, high-quality versions of the 35 standard
PostScript(TM) fonts, donated under the GPL by URW++ Design and
Development GmbH. The fonts.dir file font names match the original
Adobe names of the fonts (Times, Helvetica, etc.).
----
However, when I actually look in the file
   /usr/share/fonts/default/Type1/fonts.dir
I find that font names are the non-Adobe names gothic, urw-nimbus, etc.
Nothing like "Times" or Helvetica" appears in that file. As a result,
applications like xfig that expect the Adobe names fail to find these
fonts.
Is this a bug?
Comment 3 Matthew Miller 2006-07-10 17:23:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 petrosyan 2008-02-07 02:34:01 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 5 petrosyan 2008-02-07 02:38:43 EST
(In reply to comment #2)
> This package contains free, high-quality versions of the 35 standard
> PostScript(TM) fonts, donated under the GPL by URW++ Design and
> Development GmbH. The fonts.dir file font names match the original
> Adobe names of the fonts (Times, Helvetica, etc.).
> ----
> However, when I actually look in the file
>    /usr/share/fonts/default/Type1/fonts.dir
> I find that font names are the non-Adobe names gothic, urw-nimbus, etc.
> Nothing like "Times" or Helvetica" appears in that file. As a result,
> applications like xfig that expect the Adobe names fail to find these
> fonts.
> Is this a bug?
> 
this question has been addressed in bug #122503
https://bugzilla.redhat.com/show_bug.cgi?id=122503

Note You need to log in before you can comment on or make changes to this bug.